@storybook/addon-essentials versions and peer dependencies

The table below has a list of all versions of @storybook/addon-essentials compatible peers dependencies.

Version Peer Dependency Versions
5.3.0 - 5.3.21
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0
  • react-is @ ^16.8.0
6.0.0 - 6.0.28
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0
  • react-dom @ *
  • react-is @ ^16.8.0
6.1.0
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.0
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.1
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.1
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.2
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.2
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.3
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.3
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.4
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.4
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.5
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.5
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.6
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.6
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.7
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.7
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.8
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.8
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.9
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.9
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.10
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.10
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.11
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.11
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.12
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.12
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.14
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.14
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.15
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.15
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.16
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.16
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.17
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.17
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.18
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.18
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.19
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.19
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.20
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.20
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.1.21
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.1.21
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ >=4
6.2.0
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.0
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.1
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.1
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.2
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.2
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.3
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.3
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.4
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.4
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.5
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.5
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.6
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.6
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.7
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.7
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.8
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.8
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.2.9
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.2.9
  • babel-loader @ ^8.0.0
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.3.0
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.3.0
  • @storybook/web-components @ 6.3.0
  • babel-loader @ ^8.0.0
  • lit-html @ ^1.4.1 || ^2.0.0-rc.3
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.3.1
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.3.1
  • @storybook/web-components @ 6.3.1
  • babel-loader @ ^8.0.0
  • lit-html @ ^1.4.1 || ^2.0.0-rc.3
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.3.2
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.3.2
  • @storybook/web-components @ 6.3.2
  • babel-loader @ ^8.0.0
  • lit-html @ ^1.4.1 || ^2.0.0-rc.3
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.3.3
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.3.3
  • @storybook/web-components @ 6.3.3
  • babel-loader @ ^8.0.0
  • lit-html @ ^1.4.1 || ^2.0.0-rc.3
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *
6.3.4
  • @babel/core @ ^7.9.6
  • @storybook/vue @ 6.3.3
  • @storybook/web-components @ 6.3.3
  • babel-loader @ ^8.0.0
  • lit-html @ ^1.4.1 || ^2.0.0-rc.3
  • react @ ^16.8.0 || ^17.0.0
  • react-dom @ ^16.8.0 || ^17.0.0
  • webpack @ *